> ## Documentation Index
> Fetch the complete documentation index at: https://docs.niobi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction Status

<Note>
  Please ensure that a new `signature` is generated each time you create a transaction status request
</Note>

> Note: For the latest version (v3) of this endpoint, see [Get Transaction Status (v3)](./niobi-get-transaction-status-v3).


## OpenAPI

````yaml post /api/v2/get-unified-transaction-status
openapi: 3.0.0
info:
  title: Niobi Application API
  description: Niobi List API
  version: 1.0.0
servers:
  - url: https://sandbox.users.niobi.co
    description: Live API Server
security: []
tags:
  - name: Niobi
    description: API Endpoints of Niobi
paths:
  /api/v2/get-unified-transaction-status:
    post:
      tags:
        - payment
      summary: Fetch details for unified transaction status
      operationId: 7544fa03d8bf6118eee0bb4b2926a6bd
      requestBody:
        description: Data needed for unified transaction status
        required: true
        content:
          application/json:
            schema:
              required:
                - client_id
                - sender
                - timestamp
                - salt
                - signature
                - params
              properties:
                client_id:
                  description: Client identifier
                  type: string
                sender:
                  description: Sender's entity title
                  type: string
                timestamp:
                  description: Timestamp of the request
                  type: integer
                salt:
                  description: Salt for the request
                  type: string
                signature:
                  description: Signature for the request
                  type: string
                params:
                  required:
                    - id
                  properties:
                    id:
                      description: Transaction id to fetch details
                      type: string
                  type: object
              type: object
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Transaction data fetched successfully.
                  data:
                    type: object
                    example:
                      amount: 5
                      fee: 5
                      currency: USD
                      status: success
                      payee: Notification Tester
                      invoice_no: PAY-738525
                      mobile: '+2547408000000'
                      account_number: '1234'
                      ref: 03024080611FMOSE
                      balance: 661
                      transaction_detail: Disbursement made through payment method
                      payment_channel: Payment channel
                      transaction_date: '2024-08-06 00:00:00'
                      created_at: '2024-06-06T11:58:12.000000Z'
                      updated_at: '2024-06-06T11:58:27.000000Z'
                      callback_url: https://your-domain.com/niobi/result
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Niobi user not found or Transaction was not created!
                type: object
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: >-
                      Entity integration record not found or Client id not
                      matched or Request was not verified.
                type: object
      security:
        - apiKeyAuth: []
components: {}

````